For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet contract
        • GETGet all contracts
        • POSTCreate contract
        • DELDelete contract
        • PATCHUpdate contract
        • GETGet contract providers
        • GETGet contract provider credentialing spans
        • POSTAdd providers to contract
        • DELRemove providers from contract
        • POSTCreate contract service facility
        • PATCHUpdate contract service facility
Contact Sales
LogoLogo
API ReferenceContractsV3

Get contract providers

Beta
GET
/api/contracts/v3/:contract_id/providers
GET
/api/contracts/v3/:contract_id/providers
$curl https://api.joincandidhealth.com/api/contracts/v3/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/providers \
> -H "Authorization: Bearer <token>"
1{
2 "items": [
3 {
4 "employment_status": "ACTIVE",
5 "is_billing": true,
6 "is_rendering": true,
7 "license_type": "MD",
8 "npi": "npi",
9 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
10 "provider_type": "INDIVIDUAL",
11 "addresses": [
12 {
13 "address": {
14 "address1": "address1",
15 "city": "city",
16 "state": "AA",
17 "zip_code": "zip_code",
18 "zip_plus_four_code": "zip_plus_four_code",
19 "address2": "address2"
20 },
21 "address_type": "DEFAULT"
22 },
23 {
24 "address": {
25 "address1": "address1",
26 "city": "city",
27 "state": "AA",
28 "zip_code": "zip_code",
29 "zip_plus_four_code": "zip_plus_four_code",
30 "address2": "address2"
31 },
32 "address_type": "DEFAULT"
33 }
34 ],
35 "employment_start_date": "employment_start_date",
36 "employment_termination_date": "employment_termination_date",
37 "first_name": "first_name",
38 "last_name": "last_name",
39 "medicaid_provider_id": "medicaid_provider_id",
40 "organization_name": "organization_name",
41 "ptan": "ptan",
42 "tax_id": "tax_id",
43 "taxonomy_code": "taxonomy_code"
44 },
45 {
46 "employment_status": "ACTIVE",
47 "is_billing": true,
48 "is_rendering": true,
49 "license_type": "MD",
50 "npi": "npi",
51 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
52 "provider_type": "INDIVIDUAL",
53 "addresses": [
54 {
55 "address": {
56 "address1": "address1",
57 "city": "city",
58 "state": "AA",
59 "zip_code": "zip_code",
60 "zip_plus_four_code": "zip_plus_four_code",
61 "address2": "address2"
62 },
63 "address_type": "DEFAULT"
64 },
65 {
66 "address": {
67 "address1": "address1",
68 "city": "city",
69 "state": "AA",
70 "zip_code": "zip_code",
71 "zip_plus_four_code": "zip_plus_four_code",
72 "address2": "address2"
73 },
74 "address_type": "DEFAULT"
75 }
76 ],
77 "employment_start_date": "employment_start_date",
78 "employment_termination_date": "employment_termination_date",
79 "first_name": "first_name",
80 "last_name": "last_name",
81 "medicaid_provider_id": "medicaid_provider_id",
82 "organization_name": "organization_name",
83 "ptan": "ptan",
84 "tax_id": "tax_id",
85 "taxonomy_code": "taxonomy_code"
86 }
87 ],
88 "next_page_token": "next_page_token",
89 "prev_page_token": "prev_page_token"
90}
Was this page helpful?
Previous

Get contract provider credentialing spans

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

contract_idUUIDRequired

Query parameters

page_tokenstringOptional
limitintegerOptional
Max number of providers returned per page. Defaults to 100. Max is 1000.

Response

This endpoint returns an object.
itemslist of objects
next_page_tokenstring
prev_page_tokenstring

Errors

404
Entity Not Found Error
422
Unprocessable Entity Error